> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uplifthub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaigns



## OpenAPI

````yaml /openapi.json get /ListCampaigns
openapi: 3.0.0
info:
  title: V1
  description: ''
  version: '1'
servers:
  - url: https://app.uplifthub.io/P195_Exposed_Integrations/rest/V1
security:
  - ApiKeyAuth: []
tags:
  - name: Accounts
  - name: Campaigns
  - name: Line Items
  - name: Products
  - name: Documents
  - name: Source Markets
  - name: Reporting
  - name: System
paths:
  /ListCampaigns:
    get:
      tags:
        - Campaigns
      summary: List Campaigns
      operationId: ListCampaigns
      parameters:
        - name: CampaignId
          in: query
          required: false
          example: 1234567891234567
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CampaignResponse'
components:
  schemas:
    CampaignResponse:
      description: ''
      type: object
      properties:
        Id:
          type: integer
          example: 1234567891234567
          format: int64
        ExternalId:
          type: string
          default: ''
        Name:
          type: string
          default: ''
        AccountId:
          type: integer
          example: 1234567891234567
          format: int64
        StartDate:
          type: string
          format: date
          example: '2014-12-31'
        EndDate:
          type: string
          format: date
          example: '2014-12-31'
        PartnerBudget:
          type: number
          example: 0.1
        SalesProbability:
          type: number
          example: 0.1
        CampaignStatusId:
          type: integer
          example: 1234567891234567
          format: int64
        CampaignStatusLable:
          type: string
          default: ''
      required:
        - Id
        - ExternalId
        - Name
        - AccountId
        - StartDate
        - EndDate
        - PartnerBudget
        - SalesProbability
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-apikey

````